Bug 322091 - Review Request: proxyknife - Customizable multithreaded proxy hunter
Review Request: proxyknife - Customizable multithreaded proxy hunter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 09:23 EDT by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 14:05:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-10-07 09:23:02 EDT
Spec URL: http://rishi.fedorapeople.org/proxyknife.spec
SRPM URL: http://rishi.fedorapeople.org/proxyknife-1.7-1.fc7.src.rpm

Description:
Proxyknife is a customizable multithread proxy hunter. It can help users
behind strict firewall find suitable free proxies.
Comment 1 Debarshi Ray 2007-10-07 09:23:52 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=185912
Comment 2 Jason Tibbitts 2007-11-06 18:03:46 EST
Everything looks good to me.  The only problem I see is that the info file
corrupts the directory with the extra string "This is proxyknife.info, produced
by makeinfo version 4.11 from proxyknife.texi."  But that's not unique to this
package; gnuplot does it as well.  I don't know enough about info to say how
you'd fix it.

* source files match upstream:
   622d7117f14175683551f9004b6f9713d3c0352470c0b2dce926c765c2e63e71
   proxyknife-1.7.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(proxyknife) = 1.7-1.fc8
   proxyknife = 1.7-1.fc8
  =
   /bin/sh
   /sbin/install-info
   config(proxyknife) = 1.7-1.fc8
* %check is not present; no test suite upstream.  I installed the package and it 
  seems to run, although I have no proxies to test it against.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* locale files present; %find_lang used properly.
* scriptlets OK: install-info
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  (The docs are 
  several times larger than the single executable, but the whole package is 
  still under a megabyte.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Debarshi Ray 2007-11-07 02:32:06 EST
New Package CVS Request
=======================
Package Name: proxyknife
Short Description: Customizable multithreaded proxy hunter.
Owners: rishi
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 4 Kevin Fenzi 2007-11-07 14:59:53 EST
cvs done.
Comment 5 Fedora Update System 2007-11-09 18:45:27 EST
proxyknife-1.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update proxyknife'
Comment 6 Fedora Update System 2007-11-09 18:51:36 EST
proxyknife-1.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update proxyknife'
Comment 7 Fedora Update System 2007-11-14 22:34:06 EST
proxyknife-1.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-11-14 22:37:11 EST
proxyknife-1.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.